import { type Response } from './response';
import { type Request } from 'express';
export declare class Server {
    private applicationContext;
    private environment;
    private intervalTimer;
    private router;
    private finalResponseHandler;
    private serverType;
    private cloudProvider;
    private awsRequestAdaptor;
    load(config?: string): Promise<void>;
    run(req: Request, res: Response): Promise<any>;
    private handleServerlessMode;
    private discoverRouter;
}
